package com.mcwl.web.controller.communityCenter;

import com.mcwl.communityCenter.webSocket.ChatWebSocket;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RequiredArgsConstructor
@RestController
@RequestMapping("/chat")
public class ChatController {

    private final ChatWebSocket chatWebSocket;

    @GetMapping("/switchUserMode")
    public void switchUserMode(String sessionId) throws Exception {
        chatWebSocket.switchUserMode(sessionId);
    }

}